#!/bin/bash
mkdir -p /tmp/squid
sudo apt -y install squid-openssl
sudo cp /etc/squid/squid.conf /etc/squid/squid.conf.orig
sudo cp ../squid/squid.conf /etc/squid/
STARTINGDIR=$PWD
cd /tmp/squid/
openssl req -new -newkey rsa:8192 -days 3650 -nodes -x509 -keyout bump.key -out bump.crt -subj "/C=CA/ST=Nova Scotia/O=Test"
#openssl dhparam -outform PEM -out bump_dhparam.pem 8192 &
cd $STARTINGDIR
sudo -u proxy /usr/lib/squid/security_file_certgen -c -s /var/spool/squid/ssl_db -M 64MB
sudo mkdir -p /etc/squid/ssl_cert/
cat /tmp/squid/bump.crt /tmp/squid/bump.key | sudo tee /etc/squid/ssl_cert/myCA.pem
sudo systemctl restart squid.service
